Parameters

title
string
Description
The title or display name of the form.
description
string
Description
A detailed description explaining the purpose of the form.
status
string
Description
The status of the form (e.g., active, inactive, draft).
slug
string
Description
Unique URL-friendly key/identifier for the form.
attributes
array
items
dictionary
POST/v1/forms
curl https://api.tradly.app/v1/forms \
  -H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -X POST \
  -d '{
  "title": "Customer Survey",
  "description": "Annual customer satisfaction survey",
  "status": "active",
  "slug": "customer-survey",
  "attributes": [
    {
      "attribute_id": 5,
      "required": true,
      "order_by": 1
    }
  ]
}'
RESPONSE
{
  "status": true,
  "data": {
    "form": {
      "id": 2,
      "title": "Customer Survey",
      "description": "Annual customer satisfaction survey",
      "status": "active",
      "slug": "customer-survey",
      "metadata": null,
      "created_at": 1723068000,
      "updated_at": 1723068000,
      "attributes": [
        {
          "id": 11,
          "form_id": 2,
          "attribute_id": 5,
          "required": true,
          "order_by": 1,
          "metadata": null,
          "attribute": {
            "id": 5,
            "field_type": "text",
            "type": "string",
            "optional": false,
            "icon_path": "",
            "active": true,
            "metadata": {},
            "values": []
          }
        }
      ]
    }
  }
}